Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapreduce.lib.output
Enum FileOutputFormat.Counter

    java.lang.Object
      java.lang.Enum<FileOutputFormat.Counter>
          org.apache.hadoop.mapreduce.lib.output.FileOutputFormat.Counter

All Implemented Interfaces:
  Serializable, Comparable<FileOutputFormat.Counter>

Enclosing class:
  FileOutputFormat<K,V>

    public static enum FileOutputFormat.Counter

extends Enum<FileOutputFormat.Counter>

Enum Constant Summary
`BYTES_WRITTEN`

Method Summary
`static FileOutputFormat.Counter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileOutputFormat.Counter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BYTES_WRITTEN

    public static final FileOutputFormat.Counter BYTES_WRITTEN

Method Detail

### values

    public static FileOutputFormat.Counter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileOutputFormat.Counter c : FileOutputFormat.Counter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileOutputFormat.Counter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation